//---------------------------------------------------
// module  : BIEDA.h                         
// auteur  : Max Mignotte                            
// date    :                                              
// langage : C++                                      
// labo    :                                  
//---------------------------------------------------

#ifndef BIEDA_H
#define BIEDA_H

//------------------------------------------------
// FICHIERS INCLUS -------------------------------
//------------------------------------------------
#include "FunctionBIEDA.h"
#include "lsd.h"

//------------------------------------------------
// DEFINITIONS -----------------------------------
//------------------------------------------------
#define NCHAR 200

//------------------------------------------------
// CLASSE BIEDA -------------------------
//------------------------------------------------
class BIEDA
{
  //--Donnees--
  //-----------
  public:

  //Matrices Img
  int***    mat_img;
  float**   mat_seg;

  float**   mat_cont1;
  float**   mat_cont2;
  float**   mat_cont3;
  float**   mat_cont4;
  float**   mat_cont5;
  float**   mat_cont6;

  //ParamIMG
  int width,length;

  //Parametre.
  float Regul;

  //Flag
  int  flag_save;

  //Utile
  char Name_Sauve[NCHAR];
  char Name_Img[NCHAR];
  char Extension[NCHAR];  

  //--Methods--
  //------------
  public:
  BIEDA(int***,int,int);
  ~BIEDA();

  void DetectContour();
  void ComputeEdge(int***,int,int,float**,int,float,float,int,int,float); 
};

#endif 
